> For the complete documentation index, see [llms.txt](https://docs.jigx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jigx.com/getting-started/create-an-app-from-scratch/combine-the-solution_s-elements/edit-the-index_jigx-file.md).

# Edit the index file

The index.jigx file includes links to the jigs you want accessible as top-level navigation elements. In the previous steps you created a composite jig, and a static datasource, now you will add these to the `index.jigx` file to appear on the Home Hub, and remove the new customer and the list customer widgets which are now joined in the composite jig. In this step, the `jigId` is used to reference the composite jig. The order of the `jigId` determines the order in which the tabs appear on the Home Hub. You add the composite jig first in this solution as you want it to be the first bottom tab to display.

## Steps

### Add jigs to the index.jigx file

1. Click on the `index.jigx` file. Under `tabs:` **remove** the `jigId: new-customer`, and the `jigId: list-customer`. Now **add** the `jigId: composite`.
2. Your index.jigx file should resemble the code below.

{% code title="index.jigx" %}

```yaml
# The system name that uniquely identifies the solution
name: hello-jigx-solution
# The friendly name of the solution
title: Hello-Jigx Solution
# The built-in category selected for this solution
category: business
#The tabss that act as bottom-level navigation elements for jigs
tabs:
  customer: # The first tab of the app.
    jigId: composite
    icon: people
  home: 
    jigId: map
    icon: location
  calendar:
    jigId: calendar
    icon: calendar
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jigx.com/getting-started/create-an-app-from-scratch/combine-the-solution_s-elements/edit-the-index_jigx-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
